Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class Namespace.LateBindDecl

    java.lang.Object
      rdlc.rdl.Namespace.LateBindDecl

Enclosing class:
  Namespace

    protected static class Namespace.LateBindDecl

extends java.lang.Object

LateBindDecl holds a declaration and it raw static identifier for later binding into a namespace. This is part of how we handle hierarchical overrides in RDL: by late binding all of the declarations to their names, and supporting the declaration of expressions outside of their declared static namespace.

Version:
  $Revision: 1.21 $
Author:
  Greg Gibeling

Field Summary
`protected Declaration` | `decl` The actual declaration to bind
`protected RawStaticIdentifier` | `rawStaticID` The raw static identifier to which the declaration should be bound.

Constructor Summary
`Namespace.LateBindDecl(Declaration _decl, RawStaticIdentifier _rawStaticID)` Base constructor, stores the declaration and the raw static identifier.

Method Summary
`boolean` | `bind(Namespace namespace, Log errorLog, Expression.Phase phase)` Perform the actual late binding of the declaration to the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rawStaticID

    protected RawStaticIdentifier rawStaticID

  The raw static identifier to which the declaration should be bound.

### decl

    protected Declaration decl

  The actual declaration to bind

Constructor Detail

### Namespace.LateBindDecl

    public Namespace.LateBindDecl(Declaration _decl,
                                  RawStaticIdentifier _rawStaticID)

  Base constructor, stores the declaration and the raw static identifier. A later call to `bind()` will actually perform the binding.

  Parameters:
    `_decl` - The declaration to late bind.
    `_rawStaticID` - The raw static identifier to late bind to.
  See Also:
    `Namespace.LateBindDecl#bind(Namespace, Log, Phase)`

Method Detail

### bind

    public boolean bind(Namespace namespace,
                        Log errorLog,
                        Expression.Phase phase)

  Perform the actual late binding of the declaration to the name.

  Parameters:
    `namespace` - The namespace in from which the binding is happening.
    `errorLog` - A log of all the errors to be reported.
    `phase` - The phase of resolution to perform.
  Returns:
    `true` on success.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD